@import '../../assets/style/variables.scss';
@import '../../assets/style/btn.scss';




.header {
    width: 100vw;
    box-shadow: 0px 2px 4px rgba(0,0,0,0.15);

    background: $primaryBg;
    color: $primary;
    
    @media (max-width: 272px) {
        width: 272px;
    }

    .header__info{
        padding-top: 0.4rem;
        display: flex;
        align-items: center;
        justify-content: space-around;
        @media (max-width: 900px) {
            display: none;
        }
        .header__tell {
            display: flex;
            align-items: center;
            svg {
                width: 25px;
                height: 25px;
                fill: $primary;
            }
        }
        
        .header__callback {
            @extend .header__tell;
            cursor: pointer;
            @include hoverAndActiveLink;
        }
    }
    
    .header__main {
        padding:  0.3rem 1rem;
        height: 65px;
        display: flex;
        justify-content: space-around;
        align-items: center;
        padding-bottom: 0.7rem;
        .header__burger {
            cursor: pointer;
            svg {
                width: 40px;
                height: 40px;
                fill: $primary;
                margin-right: 1rem;
            }
            @include hoverAndActiveLink;
            @media (min-width: 768px) {
                display: none;
            }
            
        }
        .header__name {
            text-decoration: none;
            color:inherit;
            h1{
                cursor: pointer;
                display: inline;
                @media (max-width: 768px) {
                    display: none;
                }
        }
            }
            

        .header__search {
            height: 80%;
            width: 65%; 
            display: flex;
            input {
                height: 100%;
                width: 0;
                flex: 1;
                margin: 0;
                border: 0;
                border-radius: 4px  0 0 4px ;
            }
            button {
                cursor: pointer;
                flex:0.2;
                height: 100%;
                margin: 0;
                border: 0;
                background: $primary;
                border-radius:   0  4px 4px 0 ;
                outline: none;
                &:hover {
                    background: darken($primary, 10%);
                }
                &:active {
                    transform: scale(0.95);
                }
                
            }
        }
        
        
        .header__actions {
            list-style: none;
            display: flex;
            justify-content: space-around;
            padding: 0;
            li{
                margin-left: 0.5rem;

                .action__group {
                    cursor: pointer;
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    margin-bottom: 1.5rem;
                    text-decoration: none;
                    color:inherit;
                }
                svg {
                    width: 30px;
                    height: 30px;
                    fill: $primary;
                }
                @include hoverAndActiveLink;
                @media (max-width: 1080px) {
                    span {display: none;} 
                    margin: 0.8rem;
                .action__group {
                    margin-bottom: 0;
                }
                }
                
            }
            .action__caunter {
                background: $secondaryBg;
                padding: 4px;
                height: 20px;
                min-width: 20px;
                border-radius: 100%;
                display: flex;
                justify-content: center;
                align-items: center;
                transform: translate(68%,60%);

                
            }
            @media (max-width: 450px) {
                .header__heart {
                    display: none !important;
                }
    
            }
            
        }
    }
}



